cURL
curl "https://api.phrase.com/v2/accounts/:account_id/custom_metadata/properties?data_type=boolean&project_id=1&page=1&per_page=10&sort=created_at&order=desc" \
-u USERNAME_OR_ACCESS_TOKENphrase custom_metadata_properties list \
--account_id <account_id> \
--data_type boolean \
--project_id 1 \
--page 1 \
--per_page 10 \
--sort created_at \
--order desc \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/custom_metadata/properties"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/custom_metadata/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "Nuts",
"description": "A healthy snack for all ages",
"data_type": "multi_select",
"user": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"projects": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
],
"value_options": [
"apple",
"banana",
"coconut"
]
}
]Custom Metadata
List properties
List all custom metadata properties for an account.
This endpoint is only available to accounts with advanced plans or above.
GET
/
accounts
/
{account_id}
/
custom_metadata
/
properties
cURL
curl "https://api.phrase.com/v2/accounts/:account_id/custom_metadata/properties?data_type=boolean&project_id=1&page=1&per_page=10&sort=created_at&order=desc" \
-u USERNAME_OR_ACCESS_TOKENphrase custom_metadata_properties list \
--account_id <account_id> \
--data_type boolean \
--project_id 1 \
--page 1 \
--per_page 10 \
--sort created_at \
--order desc \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/custom_metadata/properties"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/custom_metadata/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "Nuts",
"description": "A healthy snack for all ages",
"data_type": "multi_select",
"user": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"projects": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
],
"value_options": [
"apple",
"banana",
"coconut"
]
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Account ID
Query Parameters
Data Type of Custom Metadata Property data type of the property
Available options:
boolean, date, link, multi_select, number, single_select, string, text Example:
"string"
id of project that the properties belong to
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
query to find a property by name
Sort criteria. Can be one of: name, data_type, created_at.
Order direction. Can be one of: asc, desc.
Response
OK
data type of the property
Available options:
boolean, date, link, multi_select, number, single_select, string, text Example:
"string"
Show child attributes
Show child attributes
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "johndoe",
"name": "John Doe",
"gravatar_uid": "205e460b479e2e5b48aec07710c08d50"
}
Show child attributes
Show child attributes
Was this page helpful?